/** ###################################################################
**     THIS BEAN MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : SlaveCtl.C
**     Project   : DC17
**     Processor : MC56F8006_32_LQFP
**     Beantype  : ExtInt
**     Version   : Bean 02.090, Driver 02.01, CPU db: 3.00.169
**     Compiler  : Metrowerks DSP C Compiler
**     Date/Time : 8/2/2009, 2:03 PM
**     Abstract  :
**         This bean "ExtInt" implements an external 
**         interrupt, its control methods and interrupt/event 
**         handling procedure.
**         The bean uses one pin which generates interrupt on 
**         selected edge.
**     Settings  :
**         Interrupt name              : INT_GPIO_F
**         User handling procedure     : SlaveCtl_OnInterrupt
**
**         Used pin                    :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       25            |  GPIOF0_XTAL
**             ----------------------------------------------------
**
**         Port name                   : GPIOF
**
**         Bit number (in port)        : 0
**         Bit mask of the port        : 1
**
**         Signal edge/level           : rising
**         Priority                    : 0
**         Pull option                 : off
**         Initial state               : Enabled
**
**         Edge register               : GPIO_F_IPOLR [61990]
**         Enable register             : GPIO_F_IENR [61989]
**         Request register            : GPIO_F_IESR [61992]
**
**         Port data register          : GPIO_F_DR [61985]
**         Port control register       : GPIO_F_DDR [61986]
**         Port function register      : GPIO_F_PER [61987]
**     Contents  :
**         GetVal - bool SlaveCtl_GetVal(void);
**
**     (c) Copyright UNIS, a.s. 1997-2008
**     UNIS, a.s.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################*/

/* MODULE SlaveCtl. */

#include "SlaveCtl.h"
/*Including shared modules, which are used for all project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Events.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  SlaveCtl_Interrupt (bean ExtInt)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and invokes the beans event.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/
#pragma interrupt alignsp saveall
void SlaveCtl_Interrupt(void)
{
  setReg(GPIO_F_IESR,SlaveCtl_PIN_MASK); /* Clear flag */
  SlaveCtl_OnInterrupt();
}

/*
** ===================================================================
**     Method      :  SlaveCtl_GetVal (bean ExtInt)
**
**     Description :
**         Returns the actual value of the input pin of the bean.
**     Parameters  : None
**     Returns     :
**         ---             - Returned input value. Possible values:
**                           FALSE - logical "0" (Low level)
**                           TRUE - logical "1" (High level)
** ===================================================================
*/
/*
bool SlaveCtl_GetVal(void)

**      This method is implemented as macro      **
*/

/* END SlaveCtl. */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.99 [04.17]
**     for the Freescale 56800 series of microcontrollers.
**
** ###################################################################
*/
